<?xml version="1.0" encoding="UTF-8"?>
<testsuite name="world.respect.datalayer.repository.opds.OpdsRespectRepositoryIntegrationTest" tests="3" skipped="0" failures="0" errors="0" timestamp="2025-12-27T02:56:27.052Z" hostname="devserver3" time="7.131">
  <properties/>
  <testcase name="givenOpdsFeed_whenLoadOpdsFeed_thenFlowWillLoadIt[jvm]" classname="world.respect.datalayer.repository.opds.OpdsRespectRepositoryIntegrationTest" time="3.023"/>
  <testcase name="givenOpdsFeedLoaded_whenLoadedAgain_thenDataIsLoadedAndNetworkResponseIsNotModified[jvm]" classname="world.respect.datalayer.repository.opds.OpdsRespectRepositoryIntegrationTest" time="2.071"/>
  <testcase name="givenOpdsPublication_whenLoadedThenWillEmitFlow[jvm]" classname="world.respect.datalayer.repository.opds.OpdsRespectRepositoryIntegrationTest" time="2.035"/>
  <system-out><![CDATA[port = 34881
03:56:27,086 |-INFO in ch.qos.logback.classic.LoggerContext[default] - This is logback-classic version 1.5.18
03:56:27,087 |-INFO in ch.qos.logback.classic.util.ContextInitializer@112f364d - No custom configurators were discovered as a service.
03:56:27,087 |-INFO in ch.qos.logback.classic.util.ContextInitializer@112f364d - Trying to configure with ch.qos.logback.classic.joran.SerializedModelConfigurator
03:56:27,087 |-INFO in ch.qos.logback.classic.util.ContextInitializer@112f364d - Constructed configurator of type class ch.qos.logback.classic.joran.SerializedModelConfigurator
03:56:27,089 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Could NOT find resource [logback-test.scmo]
03:56:27,089 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Could NOT find resource [logback.scmo]
03:56:27,093 |-INFO in ch.qos.logback.classic.util.ContextInitializer@112f364d - ch.qos.logback.classic.joran.SerializedModelConfigurator.configure() call lasted 3 milliseconds. ExecutionStatus=INVOKE_NEXT_IF_ANY
03:56:27,093 |-INFO in ch.qos.logback.classic.util.ContextInitializer@112f364d - Trying to configure with ch.qos.logback.classic.util.DefaultJoranConfigurator
03:56:27,093 |-INFO in ch.qos.logback.classic.util.ContextInitializer@112f364d - Constructed configurator of type class ch.qos.logback.classic.util.DefaultJoranConfigurator
03:56:27,094 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Could NOT find resource [logback-test.xml]
03:56:27,095 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Found resource [logback.xml] at [jar:file:/home/jenkins/.jenkins/workspace/simplified-child-mode-end-to-end/respect-server/build/libs/respect-server-1.0.0.jar!/logback.xml]
03:56:27,096 |-WARN in ch.qos.logback.classic.util.DefaultJoranConfigurator@5ccbeb64 - Resource [logback.xml] occurs multiple times on the classpath.
03:56:27,096 |-WARN in ch.qos.logback.classic.util.DefaultJoranConfigurator@5ccbeb64 - Resource [logback.xml] occurs at [file:/home/jenkins/.jenkins/workspace/simplified-child-mode-end-to-end/respect-datalayer-repository/build/processedResources/jvm/test/logback.xml]
03:56:27,096 |-WARN in ch.qos.logback.classic.util.DefaultJoranConfigurator@5ccbeb64 - Resource [logback.xml] occurs at [jar:file:/home/jenkins/.jenkins/workspace/simplified-child-mode-end-to-end/respect-server/build/libs/respect-server-1.0.0.jar!/logback.xml]
03:56:27,099 |-INFO in ConfigurationWatchList(mainURL=jar:file:/home/jenkins/.jenkins/workspace/simplified-child-mode-end-to-end/respect-server/build/libs/respect-server-1.0.0.jar!/logback.xml, fileWatchList={}, urlWatchList=[}) - URL [jar:file:/home/jenkins/.jenkins/workspace/simplified-child-mode-end-to-end/respect-server/build/libs/respect-server-1.0.0.jar!/logback.xml] is not of type file
03:56:27,151 |-INFO in ch.qos.logback.core.model.processor.ModelInterpretationContext@6c45ee6e - value "./log/" substituted for "${logs_dir:-./log/}"
03:56:27,152 |-INFO in ch.qos.logback.core.model.processor.AppenderModelHandler - Processing appender named [FILE]
03:56:27,152 |-INFO in ch.qos.logback.core.model.processor.AppenderModelHandler - About to instantiate appender of type [ch.qos.logback.core.rolling.RollingFileAppender]
03:56:27,156 |-INFO in ch.qos.logback.core.model.processor.ModelInterpretationContext@6c45ee6e - value "./log//respect-server.log" substituted for "${LOG_DIR}/respect-server.log"
03:56:27,158 |-INFO in ch.qos.logback.core.model.processor.ModelInterpretationContext@6c45ee6e - value "./log//respect-server.%d{yyyy-MM-dd}.%i.log" substituted for "${LOG_DIR}/respect-server.%d{yyyy-MM-dd}.%i.log"
03:56:27,163 |-INFO in c.q.l.core.rolling.TimeBasedRollingPolicy@1799230133 - No compression will be used
03:56:27,174 |-INFO in c.q.l.core.rolling.TimeBasedRollingPolicy@1799230133 - Will use the pattern ./log//respect-server.%d{yyyy-MM-dd}.%i.log for the active file
03:56:27,174 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@5aac4250 - SizeAndTimeBasedFNATP class was renamed as SizeAndTimeBasedFileNamingAndTriggeringPolicy.
03:56:27,176 |-INFO in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@5aac4250 - The date pattern is 'yyyy-MM-dd' from file name pattern './log//respect-server.%d{yyyy-MM-dd}.%i.log'.
03:56:27,176 |-INFO in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@5aac4250 - Roll-over at midnight.
03:56:27,176 |-INFO in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@5aac4250 - Setting initial period to 2025-12-26T02:56:36.796Z
03:56:27,176 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@5aac4250 - Direct use of either SizeAndTimeBasedFNATP or SizeAndTimeBasedFileNamingAndTriggeringPolicy 
03:56:27,176 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@5aac4250 - is deprecated. Please use SizeAndTimeBasedRollingPolicy instead.
03:56:27,176 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@5aac4250 - For more information see https://logback.qos.ch/manual/appenders.html#SizeAndTimeBasedRollingPolicy
03:56:27,179 |-INFO in ch.qos.logback.core.model.processor.ImplicitModelHandler - Assuming default type [ch.qos.logback.classic.encoder.PatternLayoutEncoder] for [encoder] property
03:56:27,192 |-INFO in ch.qos.logback.core.rolling.RollingFileAppender[FILE] - Active log file name: ./log//respect-server.log
03:56:27,193 |-INFO in ch.qos.logback.core.rolling.RollingFileAppender[FILE] - Setting currentFileLength to 39636 for ./log/respect-server.log
03:56:27,193 |-INFO in ch.qos.logback.core.rolling.RollingFileAppender[FILE] - File property is set to [./log//respect-server.log]
03:56:27,194 |-INFO in ch.qos.logback.classic.model.processor.RootLoggerModelHandler - Setting level of ROOT logger to TRACE
03:56:27,194 |-INFO in ch.qos.logback.core.model.processor.AppenderRefModelHandler - Attaching appender named [FILE] to Logger[ROOT]
03:56:27,194 |-INFO in ch.qos.logback.classic.model.processor.LoggerModelHandler - Setting level of logger [org.eclipse.jetty] to INFO
03:56:27,194 |-INFO in ch.qos.logback.classic.model.processor.LoggerModelHandler - Setting level of logger [io.netty] to INFO
03:56:27,194 |-INFO in ch.qos.logback.core.model.processor.DefaultProcessor@1338fb5 - End of configuration.
03:56:27,195 |-INFO in ch.qos.logback.classic.joran.JoranConfigurator@42463763 - Registering current configuration as safe fallback point
03:56:27,195 |-INFO in ch.qos.logback.classic.util.ContextInitializer@112f364d - ch.qos.logback.classic.util.DefaultJoranConfigurator.configure() call lasted 102 milliseconds. ExecutionStatus=DO_NOT_INVOKE_NEXT_IF_ANY

]]></system-out>
  <system-err><![CDATA[]]></system-err>
</testsuite>
